com.holonplatform.core.property

## Interface PropertyConfiguration

- All Superinterfaces:
    ParameterSet, Serializable
  All Known Subinterfaces:
    PropertyConfiguration.PropertyConfigurationEditor

      public interface PropertyConfiguration
      extends ParameterSet

  `Property` configuration parameters.

  Extends `ParameterSet` to inherit parameter handling operations.

  Since:
    5.0.0
  See Also:
    `Property`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PropertyConfiguration.PropertyConfigurationEditor` `PropertyConfiguration` editor interface to provide configuration parameters management.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.ParameterSet

      `ParameterSet.Builder<S extends ParameterSet>`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyConfiguration.PropertyConfigurationEditor` | `clone(PropertyConfiguration fromConfiguration)` Create a new editable `PropertyConfiguration` instance using default implementation class, cloning the configuration parameters from given `fromConfiguration` configuration.
    `static PropertyConfiguration.PropertyConfigurationEditor` | `create()` Create a new editable `PropertyConfiguration` instance using default implementation class.
    `Optional<TemporalType>` | `getTemporalType()` Get the optional `TemporalType` specification for `Date` or `Calendar` type properties, which can be used to perform consistent operations on property value, such as presentation, rendering or persistence data manipulation.

    - ### Methods inherited from interface com.holonplatform.core.ParameterSet

      `builder, empty, forEachParameter, getParameter, getParameter, getParameter, getParameter, getParameter, getParameterIf, getParameterIf, hasNotNullParameter, hasNotNullParameter, hasParameter, hasParameter, hasParameters, hasParameterValue, hasParameterValue`

- - ### Method Detail

    - #### getTemporalType

          Optional<TemporalType> getTemporalType()

      Get the optional `TemporalType` specification for `Date` or `Calendar` type properties, which can be used to perform consistent operations on property value, such as presentation, rendering or persistence data manipulation.
      Returns:
        Optional property `TemporalType`

    - #### create

          static PropertyConfiguration.PropertyConfigurationEditor create()

      Create a new editable `PropertyConfiguration` instance using default implementation class.
      Returns:
        PropertyConfigurationEditor instance

    - #### clone

          static PropertyConfiguration.PropertyConfigurationEditor clone(PropertyConfiguration fromConfiguration)

      Create a new editable `PropertyConfiguration` instance using default implementation class, cloning the configuration parameters from given `fromConfiguration` configuration.
      Parameters:
        `fromConfiguration` - Property configuration to clone (not null)
      Returns:
        PropertyConfigurationEditor instance with parameters cloned from given configuration

Copyright © 2019 The Holon Platform. All rights reserved.